package cn.com.poc.knowledge.service;

import cn.com.poc.knowledge.entity.BizKnowledgeDocumentEntity;
import cn.com.poc.knowledge.query.KnowledgeDocumentRelationQueryItem;
import cn.com.poc.knowledge.query.KnowledgeQueryItem;
import cn.com.yict.framemax.core.service.BaseService;
import cn.com.yict.framemax.data.model.PagingInfo;

import java.util.List;

public interface BizKnowledgeDocumentService extends BaseService {

    BizKnowledgeDocumentEntity get(Integer kdId);

    List<BizKnowledgeDocumentEntity> findByExample(BizKnowledgeDocumentEntity example, PagingInfo pagingInfo) throws Exception;

    BizKnowledgeDocumentEntity save(BizKnowledgeDocumentEntity entity) throws Exception;

    BizKnowledgeDocumentEntity update(Integer kdId, BizKnowledgeDocumentEntity entity) throws Exception;

    Boolean deleted(Integer kdId);

    List<KnowledgeQueryItem> searchKnowledge(String document, String trainStatus, String memberId, String documentName, List<Integer> kdIds, PagingInfo pagingInfo);

    List<KnowledgeDocumentRelationQueryItem> knowledgeDocumentRelationQuery(List<String> knowledgeIds, PagingInfo pagingInfo);
}